    //
//  SecondaryViewController.m
//  HiddenUINavigation
//
//  Created by valvoline on 10/13/10.
//  Copyright 2010 Universita  di Catania. All rights reserved.
//

#import "SecondaryViewController.h"

@implementation SecondaryViewController

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	contentView = [[UIView alloc] initWithFrame:[[UIScreen mainScreen] applicationFrame]];
	[contentView setBackgroundColor:[UIColor greenColor]];
	UIButton *tmpButton = [UIButton buttonWithType:UIButtonTypeRoundedRect];
	[tmpButton setFrame:CGRectMake(0, 0, 200, 60)];
	[tmpButton setTitle:@"pushViewController" forState:UIControlStateNormal];
	[tmpButton addTarget:self action:@selector(gotoSecondaryViewController) forControlEvents:UIControlEventTouchUpInside];
	[contentView addSubview:tmpButton];
	[tmpButton setCenter:CGPointMake(160, 240)];
	contentView.alpha = 0.0;
	self.view = contentView;
	[contentView release];
}

-(void)viewDidAppear:(BOOL)animated {
	[UIView beginAnimations:@"viewDidAppear" context:nil];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationDuration:0.3];
	self.view.alpha = 1.0;	
	[UIView commitAnimations];
}

- (void)gotoSecondaryViewController {
	[UIView beginAnimations:@"viewDidAppear" context:nil];
	[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
	[UIView setAnimationDuration:0.3];
	[UIView setAnimationDelegate:self];
	[UIView setAnimationDidStopSelector:@selector(removeViewController)];
	self.view.alpha = 0.0;	
	[UIView commitAnimations];
}

-(void)removeViewController {
	[self.navigationController popViewControllerAnimated:NO];
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
